clc
close
clear

% global robot

% Generate a Robolink object RDK. This object interfaces with RoboDK.
RDK = Robolink;

% Display the list of all items in the main tree
fprintf('Available items in the station:\n');
disp(RDK.ItemList());

robot = RDK.ItemUserPick('Select one robot', RDK.ITEM_TYPE_ROBOT);

if robot.Valid() == 0
    error('No robot selected');
end

fprintf('Selected robot: %s\n', robot.Name());


% return;

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf('Current robot joints:\n');
disp(robot.Joints());

fprintf('Current robot pose:\n');
pose = robot.Pose();
disp(pose);


fprintf('Current robot pose (xyzrpw format)\n');
xyzrpw = Pose_2_XYZRPW(pose);
disp(xyzrpw);


